Bug 1731212 - RHV 4.4 landing page does not show login or allow scrolling.
Summary: RHV 4.4 landing page does not show login or allow scrolling.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.4
Hardware: All
OS: All
unspecified
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: Sharon Gratch
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks: 1757408 1796136
TreeView+ depends on / blocked
 
Reported: 2019-07-18 15:51 UTC by Anthony Hogbin
Modified: 2020-08-04 13:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the RHV landing page did not support scrolling. With lower screen resolutions, some users could not use the log in menu option for the Administration Portal or VM Portal. The current release fixes this issue by migrating the landing and login pages to PatternFly 4, which displays horizontal and vertical scroll bars when needed. Users can access the entire screen regardless of their screen resolution or zoom setting.
Clone Of:
: 1796136 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:19:49 UTC
oVirt Team: UX
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:20:17 UTC
oVirt gerrit 104354 0 'None' MERGED Update for login page and landing page 2020-08-12 09:46:53 UTC

Description Anthony Hogbin 2019-07-18 15:51:23 UTC
Description of problem:
=======================

- Initial landing page for RHV-M does not show all content.
- The mobile screen shows just documentation, no scaling no scrolling.
- Smaller laptop / desktop browser (current firefox) window not showing login option, no scrolling, grow window only.
- Apparent in 4.3 either upgraded to (not an issue in 4.1) or fresh install.


Version-Release number of selected component (if applicable):
=============================================================
- Red Hat Virtualization Manager Web Administration
Software Version:4.3.4.3-0.1.el7

How reproducible:
=================
- Always.

Steps to Reproduce:
===================
1. Make browser smaller than full screen or use a mobile device
2. Pull up FQDN page for RHV-M server - https://[servername]
3. Page redirects to  https://[servername]/ovirt-engine
4. Note that you get a handful of links all documentation, and no means to scroll, scale, or log in.

Actual results:
===============
- Inability to see large quantities of the page with no work around with scrolling or scaling. This includes the web administration link.

Expected results:
=================

- Ability to move around the screen in a browser - irrespective of the size of the browser window or monitor size.

Additional info:
================
- Work around simplistic enough as long as you know the URL's:
    https://[servername]/ovirt-engine/sso/login.html#vms
    https://[servername]/ovirt-engine/webadmin/?locale=en_US#vms
  But otherwise looks broken.

Comment 2 Michal Skrivanek 2019-07-19 06:39:42 UTC
note RHV doesn't have any specific support for mobile/small resolutions. However scrolling sounds reasonable to fix

Comment 4 Daniel Gur 2019-08-28 13:12:42 UTC
sync2jira

Comment 5 Daniel Gur 2019-08-28 13:16:54 UTC
sync2jira

Comment 13 Michael Zamot 2019-12-04 15:11:34 UTC
This issue also happens on HiDPI screens, not just low resolution.

Comment 20 Ivana Saranova 2020-03-11 16:38:59 UTC
Steps:
1. Make browser smaller than full screen
2. Enter engine's FQDN
3. Page redirects to  https://[servername]/ovirt-engine
4. Check that there is scroll bar

Results:
There is scroll bar available on smaller window size and its functionality is correct.

Verified in:
firefox-73.0.1-1.fc31.x86_64
ovirt-engine-4.4.0-0.25.master.el8ev.noarch

Comment 24 Michal Skrivanek 2020-03-26 12:19:16 UTC
let's not waste time on old Firefox versions.
ESR 68 doesn't work but newer versions does (verified in 74)
This will get solved for ESR 78 which is not too far away

Comment 25 Rolfe Dlugy-Hegwer 2020-07-23 15:32:03 UTC
Please review the updated Doc Text. Thank you!

Comment 26 Sharon Gratch 2020-07-26 17:05:50 UTC
(In reply to Rolfe Dlugy-Hegwer from comment #25)
> Please review the updated Doc Text. Thank you!

Looks ok to me, thanks.

Comment 30 errata-xmlrpc 2020-08-04 13:19:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.